Resolution: Duplicate   

Description

In the repository view there is the ability to view the changelog of an individual file or drop down into a subdirectory, however it would

be very useful to be able to view the changelog of a directory (as you can with the top-level of a repository).

I have a very simple patch to demonstrate this:

  Index: app/views/repositories/_dir_list_content.rhtml

  ===================================================================

  --- app/views/repositories/_dir_list_content.rhtml      (revision 2717)

  +++ app/views/repositories/_dir_list_content.rhtml      (working copy)

  @@ -19,6 +19,12 @@

  <td class="revision"><%= link_to(format_revision(entry.lastrev.name), :action => 'revision', :id

 => @project, :rev => entry.lastrev.identifier) if entry.lastrev && entry.lastrev.identifier %></t

d>

   <td class="age"><%= distance_of_time_in_words(entry.lastrev.time, Time.now) if entry.lastrev &&

 entry.lastrev.time %></td>

   <td class="author"><%= changeset.nil? ? h(entry.lastrev.author.to_s.split('<').first) : changes

et.author if entry.lastrev %></td>

  -<td class="comments"><%=h truncate(changeset.comments, 50) unless changeset.nil? %></td>

  +<td class="comments">

  +   <%=h truncate(changeset.comments, 50) unless changeset.nil? %>

  +   <%= if entry.is_dir?

  +      link_to '(all)',

  +         {:action => 'changes', :id => @project, :path => to_path_param(entry.path), :rev => @r

ev}

  +   end %>

  +</td>

   </tr>

   <% end %>

 It may be that there is a way to do this already, but I couldn't find it or any mention of it!

Related issues:

Is duplicate of Redmine - Feature #1311: Subversion: Show revision histories ... New 2008-05-27

History

#1 - 2009-05-12 22:15 - James Wells

- File 3345.diff added

Also attached the diff as a file.

#2 - 2009-09-02 15:20 - Paulo Santos

This feature request should go up in priority, and have a definite solution. It's a serious drawback in Redmine repository browsing!

Before we migrated to Redmine we used Trac, and our Project Managers would constantly use its "change log" feature per repository folder to

evaluate the revisions set, committed on that particular folder, and even know when the folder was created (and its origin)...

James workaround is an approximation to a solution, but it's not efficient nor completely effective.

From our point of view, a solution like the one adopted by Trac is the way to go:

- when clicking on a Repository folder, besides displaying the folder tree, it should keep listing the revisions set below, but only those made within

current folder (and its branches)

- the revisions set should me paginated
- the revisions should break (or at least highlight), the instant/revision when the folder was created and its source (if it was a copy from another

branch)

#3 - 2009-09-02 18:49 - Mischa The Evil

Related this issue as a duplicate of #1311. Kept it open for further referencing.

#4 - 2009-11-23 02:17 - Mischa The Evil

- Category changed from UI to SCM

- Status changed from New to Closed

- Resolution set to Duplicate

Files

3345.diff 1.07 KB 2009-05-12 James Wells
